Updates a place

Updates a place, send empty array to remove values for an array type parameter, null values will be ignored. eg. {"parkings": []} to clear parkings of a places instead of {"parkings": null}. The 'name' parameter can be updated to change the human-readable name of the place.

Path Params
string
required
Query Params
boolean | null
Defaults to false

If true, updates all non-terminal orders associated with this place_handle to reflect the updated place destination.

boolean | null
Defaults to false

If true, geocodes the place using the address provided in the request body and updates the geometry with the geocoded coordinates.

Body Params
string | null
Defaults to null

Human friendly handle of place

string | null
Defaults to null

Human readable name of the place

geometry

Location or geofence for this place

integer | null
Defaults to null

Radius of geofence in case geometry is a Point

string | null
Defaults to null

Address associated with the place

timings
array of objects | null
Defaults to null

Expected (open) timings for this place

timings
metadata
object | null

Metadata - any additional data in form of json

closed_on
array of strings | null
Defaults to null

Dates when this place will be closed

closed_on
integer | null
Defaults to null

Expected service/work time at this place

boolean | null
Defaults to null
deprecated

DEPRECATED: This field is no longer supported and will be removed in a future version. Setting detect_visits to true will result in an error. Visit detection functionality has been discontinued. Use Orders API to detect visits to shift destinations instead.

string | null
Defaults to null
deprecated

UUID of the associated geofence.

address_components
object | null

Structured address components for more accurate geocoding. Fields: country, state, city, postal_code, street.

string | null
enum
Defaults to null

Type of place, used to restrict the maximum bounding box size during geocoding.

TypeMax AreaApprox. SizeDescription
shop5,000 m²~71m x 71mSmall retail shop or store
house2,000 m²~45m x 45mResidential house or apartment
restaurant5,000 m²~71m x 71mRestaurant, cafe, or eatery
office10,000 m²~100m x 100mOffice building or coworking space
warehouse50,000 m²~224m x 224mWarehouse or distribution center
hospital100,000 m²~316m x 316mHospital or large medical facility
mall200,000 m²~447m x 447mShopping mall or large retail complex
university5,000,000 m²~2.2km x 2.2kmUniversity or large campus
golf_course8,000,000 m²~2.8km x 2.8kmGolf course or large sports complex
stadium1,000,000 m²~1.0km x 1.0kmStadium or arena with parking
airport8,000,000 m²~2.8km x 2.8kmAirport or airfield

If not specified, the default max area is 2,000,000 m² (~1.4km x 1.4km).

parkings
array of objects | null
Defaults to null

Parkings around place

parkings
checkins
array of objects | null
Defaults to null

Checkin or Clockin locations at place

checkins
visit_detection_config
object | null

Configuration as json to detect the visit based on the key value pair provided with it. This could be worker_handle or some logical grouping attached with worker's metadata.

boolean | null
Defaults to null

If the geofence is applied using inferred geofence or bounding box

string | null
Defaults to null

Id of the suggestion used to update the geofence

boolean | null
Defaults to null

Whether this place is locked from receiving future suggestions. defaults to true if suggestion_used is false

string | null
Defaults to null

Timestamp (ISO 8601) when suggestions were last reviewed for this place

Responses

Language
Credentials
:
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json